Bug 1486345 - Can't add quiet=True to logcollector.conf file
Summary: Can't add quiet=True to logcollector.conf file
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: ovirt-log-collector
Classification: oVirt
Component: Core
Version: 4.2.0
Hardware: All
OS: All
low
low
Target Milestone: ovirt-4.2.1
: ---
Assignee: Douglas Schilling Landgraf
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-29 14:04 UTC by David Necpal
Modified: 2018-01-05 20:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-05 20:18:43 UTC
oVirt Team: Integration
rule-engine: ovirt-4.2+


Attachments (Terms of Use)

Description David Necpal 2017-08-29 14:04:34 UTC
Description of problem:
It's impossible run command 'ovirt-log-collector' with --quiet funcionality without '--quiet' parameter in command line.

Version-Release number of selected component (if applicable):
ovirt-log-collector-4.2.0-0.0.master.20170822200852.git7b87c24.el7.centos.noarch

How reproducible:
100%

Steps to Reproduce:
1.Add 'quiet=True' to logcollector.conf
2.Run command 'ovirt-log-collector'

Actual results:
Usage: __main__.py [options] list
       __main__.py [options] collect

__main__.py: error: --quiet option does not take a value

Expected results:
Command 'ovirt-log-collector' will run with --quiet funcionality from conf file

Comment 1 Yaniv Lavi 2017-08-30 09:26:53 UTC
Why is this high severity?

Comment 2 David Necpal 2017-08-31 09:41:56 UTC
(In reply to Yaniv Lavi (Dary) from comment #1)
> Why is this high severity?

Sorry, mistake.

Comment 3 Douglas Schilling Landgraf 2018-01-05 20:18:43 UTC
Please use --quiet in the scripts calling ovirt-log-collector. Changing action="store_true" in quiet option to address this report seems too much.

Fell free to re-open to keep the discussing going.


Note You need to log in before you can comment on or make changes to this bug.